com.tibbo.aggregate.common.datatable.converter.editor

## Class ContextMaskConverter.Options

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.datatable.converter.editor.ContextMaskConverter.Options

- Enclosing class:
    ContextMaskConverter

      public static class ContextMaskConverter.Options
      extends AggreGateBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<java.lang.String>` | `contextMasks`
    `java.util.List<java.lang.String>` | `contextTypes`
    `java.lang.String` | `rootContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Options()`
    `Options(DataRecord data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getContextMasks()`
    `java.util.List<java.lang.String>` | `getContextTypes()`
    `java.lang.String` | `getRootContext()`
    `void` | `setContextMasks(java.util.List<java.lang.String> contextMasks)`
    `void` | `setContextTypes(java.util.List<java.lang.String> contextTypes)`
    `void` | `setRootContext(java.lang.String rootContext)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord, toDataTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rootContext

          public java.lang.String rootContext

    - #### contextTypes

          public java.util.List<java.lang.String> contextTypes

    - #### contextMasks

          public java.util.List<java.lang.String> contextMasks

  - ### Constructor Detail

    - #### Options

          public Options(DataRecord data)

    - #### Options

          public Options()

  - ### Method Detail

    - #### getRootContext

          public java.lang.String getRootContext()

    - #### setRootContext

          public void setRootContext(java.lang.String rootContext)

    - #### getContextTypes

          public java.util.List<java.lang.String> getContextTypes()

    - #### setContextTypes

          public void setContextTypes(java.util.List<java.lang.String> contextTypes)

    - #### getContextMasks

          public java.util.List<java.lang.String> getContextMasks()

    - #### setContextMasks

          public void setContextMasks(java.util.List<java.lang.String> contextMasks)